Рекомендация Debian по безопасности

DSA-4987-1 squashfs-tools -- обновление безопасности

Дата сообщения:
15.10.2021
Затронутые пакеты:
squashfs-tools
Уязвим:
Да
Ссылки на базы данных по безопасности:
В системе отслеживания ошибок Debian: Ошибка 994262.
В каталоге Mitre CVE: CVE-2021-41072.
Более подробная информация:

Рихард Вайнбергер сообщил, что unsquashfs в squashfs-tools, наборе инструментов для создания и распаковки файловых систем Squashfs, не выполняет проверку дублирующих имён файлов в каталоге. Злоумышленник может использовать эту уязвимость для записи произвольных файлов в файловой системе в случае обработки специально сформированного образа Squashfs.

В предыдущем стабильном выпуске (buster) эта проблема была исправлена в версии 1:4.3-12+deb10u2.

В стабильном выпуске (bullseye) эта проблема была исправлена в версии 1:4.4-2+deb11u2.

Рекомендуется обновить пакеты squashfs-tools.

С подробным статусом поддержки безопасности squashfs-tools можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/squashfs-tools